package commands;

import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.BlockDisplay;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;

public class ChessCommand implements CommandExecutor {
    @Override
    public boolean onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        if(sender instanceof Player p) {
            Location playerLocation = p.getLocation();

            for (int i = 0; i < 8; i++) {
                int finalI = i+1;
                for (int j = 0; j < 8; j++) {
                    int finalJ = j+1;
                    p.getWorld().spawn(
                        new Location(p.getWorld(),
                                playerLocation.x()+i,
                                playerLocation.y(),
                                playerLocation.z()+j),
                        BlockDisplay.class, blockDisplay -> {
                            if(finalI % 2 == 0 && finalJ % 2 == 0) {
                                blockDisplay.setBlock(Material.BLACK_CONCRETE.createBlockData());
                            } else if(finalI % 2 != 0 && finalJ % 2 != 0) {
                                blockDisplay.setBlock(Material.BLACK_CONCRETE.createBlockData());
                            } else {
                                blockDisplay.setBlock(Material.WHITE_CONCRETE.createBlockData());
                            }
                            blockDisplay.setDisplayHeight(0.5f);
                            blockDisplay.setDisplayWidth(0.5f);
                        }
                    );
                }
            }

        } else {
            return(true);
        }
        return true;
    }
}
